POST /api/proxies/{PORT}/banips
Path Parameter
string
required
Existing proxy port number
POST body
array
required
IPs to ban. e.g. [“10.0.0.1”,“20.0.0.1”]
string
Ban the IP for sending requests to the specified domain
integer
Ban the IP for specified milliseconds
curl "http://127.0.0.1:22999/api/proxies/{PORT}/banips" -H "Content-Type: application/json" -d '{"ips":["10.0.0.1","20.0.0.1"],"domain":"example.com","ms":60000}'
#!/usr/bin/env node
(async () => {
const response = await fetch('http://127.0.0.1:22999/api/proxies/{PORT}/banips', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({'ips':['10.0.0.1','20.0.0.1'],'domain':'example.com','ms':60000}),
});
const data = await response.text();
console.log(data);
})();
package example;
import org.apache.http.HttpHost;
import org.apache.http.client.fluent.\*;
public class Example {
public static void main(String[] args) throws Exception {
String body = "{\"ips\":[\"10.0.0.1\",\"20.0.0.1\"],\"domain\":\"example.com\",\"ms\":60000}";
String res = Executor.newInstance()
.execute(Request.Post("http://127.0.0.1:22999/api/proxies/{PORT}/banips")
.bodyString(body, ContentType.APPLICATION_JSON))
.returnContent().asString();
System.out.println(res)
}
}
using System;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
public class Program {
public static async Task Main() {
var client = new HttpClient();
var requestMessage = new HttpRequestMessage {
Method = HttpMethod.Post,
RequestUri = new Uri("http://127.0.0.1:22999/api/proxies/{PORT}/banips"),
Content = new StringContent(JsonConvert.SerializeObject(new {
ips = [ "10.0.0.1","20.0.0.1" ],
domain = "example.com",
ms = 60000
}), Encoding.UTF8, "application/json")
};
var response = await client.SendAsync(requestMessage);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);
}
}
#!/usr/bin/env python
print('If you get error "ImportError: No module named requests", please install it:\n$ sudo pip install requests');
import requests
import json
data = {'ips':['10.0.0.1','20.0.0.1'],'domain':'example.com','ms':60000}
r = requests.post('http://127.0.0.1:22999/api/proxies/{PORT}/banips', data=json.dumps(data))
print(r.content)